Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStripper Class Reference

`#include <vtkStripper.h>`

Inheritance diagram for vtkStripper:

[legend]
Collaboration diagram for vtkStripper:

[legend]
List of all members.

## Detailed Description

create triangle strips and/or poly-lines

Date:
  2002/03/02 23:21:23

Revision:
  1.39

vtkStripper is a filter that generates triangle strips and/or poly-lines from input polygons, triangle strips, and lines. Input polygons are assembled into triangle strips only if they are triangles; other types of polygons are passed through to the output and not stripped. (Use vtkTriangleFilter to triangulate non-triangular polygons prior to running this filter if you need to strip all the data.) The filter will pass through (to the output) vertices if they are present in the input polydata.

The ivar MaximumLength can be used to control the maximum allowable triangle strip and poly-line length.

Warning:
  If triangle strips or poly-lines exist in the input data they will be passed through to the output data. This filter will only construct triangle strips if triangle polygons are available; and will only construct poly-lines if lines are available.

See also:
  vtkTriangleFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (75%)
  - Martin, Ken (8%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkStripper.h)`
  - .`cxx` (`/Graphics/vtkStripper.cxx)`

Examples:
  vtkStripper (Examples)

Tests:
  vtkStripper (Tests)

Definition at line 67 of file vtkStripper.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMaximumLength (int)
virtual int | GetMaximumLength ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStripper * | SafeDownCast (vtkObject *o)
vtkStripper * | New ()
## Protected Methods
| vtkStripper ()
| ~vtkStripper ()
void | Execute ()
## Protected Attributes
int | MaximumLength

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkStripper::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 70 of file vtkStripper.h.

## Constructor & Destructor Documentation

vtkStripper::vtkStripper | ( |  | ) | `[protected]`

vtkStripper::~vtkStripper | ( |  | ) | `[inline, protected]`

| Definition at line 85 of file vtkStripper.h.

## Member Function Documentation

virtual const char* vtkStripper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkStripper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkStripper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkStripper* vtkStripper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkStripper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkStripper* vtkStripper::New | ( |  | ) | `[static]`

| Construct object with MaximumLength set to 1000. Reimplemented from vtkObject.

virtual void vtkStripper::SetMaximumLength | ( | int |  | ) | `[virtual]`

| Specify the maximum number of triangles in a triangle strip, and/or the maximum number of lines in a poly-line.

virtual int vtkStripper::GetMaximumLength | ( |  | ) | `[virtual]`

| Specify the maximum number of triangles in a triangle strip, and/or the maximum number of lines in a poly-line.

void vtkStripper::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkStripper::MaximumLength`[protected]`

| Definition at line 90 of file vtkStripper.h.

The documentation for this class was generated from the following file:

- Graphics/vtkStripper.h